GNU logs - #7575, boring messages


Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#7575: gdb command history saving
Resent-From: Pete Beardmore <pete.beardmore@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 06 Dec 2010 17:28:02 +0000
Resent-Message-ID: <handler.7575.B.129165645725126 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 7575
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 7575 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.129165645725126
          (code B ref -1); Mon, 06 Dec 2010 17:28:02 +0000
Received: (at submit) by debbugs.gnu.org; 6 Dec 2010 17:27:37 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PPeqd-0006XB-Ol
	for submit <at> debbugs.gnu.org; Mon, 06 Dec 2010 12:27:37 -0500
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <pete.beardmore@HIDDEN>) id 1PPeB9-00044V-3z
	for submit <at> debbugs.gnu.org; Mon, 06 Dec 2010 11:44:44 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <pete.beardmore@HIDDEN>) id 1PPeGo-0003J6-W2
	for submit <at> debbugs.gnu.org; Mon, 06 Dec 2010 11:50:35 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: **
X-Spam-Status: No, score=2.0 required=5.0 tests=BAYES_05,FREEMAIL_FROM,
	MSGID_FROM_MTA_HEADER,RCVD_IN_DNSWL_NONE,RECEIVED_FROM_WINDOWS_HOST,
	RFC_ABUSE_POST,T_TO_NO_BRKTS_FREEMAIL autolearn=no version=3.3.1
Received: from lists.gnu.org ([199.232.76.165]:51403)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <pete.beardmore@HIDDEN>) id 1PPeGo-0003Iz-MZ
	for submit <at> debbugs.gnu.org; Mon, 06 Dec 2010 11:50:34 -0500
Received: from [140.186.70.92] (port=38893 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1PPeGn-0006Rq-Bq
	for bug-gnu-emacs@HIDDEN; Mon, 06 Dec 2010 11:50:34 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <pete.beardmore@HIDDEN>) id 1PPeGm-0003IA-8p
	for bug-gnu-emacs@HIDDEN; Mon, 06 Dec 2010 11:50:33 -0500
Received: from blu0-omc1-s16.blu0.hotmail.com ([65.55.116.27]:12050)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <pete.beardmore@HIDDEN>) id 1PPeGm-0003Hv-5W
	for bug-gnu-emacs@HIDDEN; Mon, 06 Dec 2010 11:50:32 -0500
Received: from BLU0-SMTP54 ([65.55.116.7]) by blu0-omc1-s16.blu0.hotmail.com
	with Microsoft SMTPSVC(6.0.3790.4675); 
	Mon, 6 Dec 2010 08:49:27 -0800
X-Originating-IP: [78.86.149.244]
X-Originating-Email: [pete.beardmore@HIDDEN]
Message-ID: <BLU0-SMTP54BC0E0BBA1EE3A12D208B8A2B0@HIDDEN>
Received: from elservo.localdomain ([78.86.149.244]) by
	BLU0-SMTP54.blu0.hotmail.com over TLS secured channel with
	Microsoft SMTPSVC(6.0.3790.4675); Mon, 6 Dec 2010 08:49:27 -0800
Received: by elservo.localdomain (Postfix, from userid 80)
	id 571C3AD93D; Mon,  6 Dec 2010 16:49:24 +0000 (GMT)
Received: from elbeardo.lemondedelabarbe (elbeardo.lemondedelabarbe
	[10.0.0.5]) by elservo.lemondedelabarbe (Horde Framework) with HTTP;
	Mon, 06 Dec 2010 16:49:24 +0000
Date: Mon, 6 Dec 2010 16:49:24 +0000
From: Pete Beardmore <pete.beardmore@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset="ISO-8859-1"; delsp=Yes; format=flowed
Content-Disposition: inline
Content-Transfer-Encoding: 7bit
User-Agent: Internet Messaging Program (IMP) H3 (4.3.6)
X-OriginalArrivalTime: 06 Dec 2010 16:49:27.0346 (UTC)
	FILETIME=[8B6AD120:01CB9565]
X-detected-operating-system: by eggs.gnu.org: Windows 2000 SP4, XP SP1+
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-Spam-Score: -5.2 (-----)
X-Mailman-Approved-At: Mon, 06 Dec 2010 12:27:34 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.2 (-----)

Hi.

When GDB is used through emacs, command history is not saved to my  
.gdbhist file on gdb 'quit'.

I use a MinGW/msys/bash environment. When gdb is used from the shell  
prompt, the settings in .gdbinit are sufficient to ensure ~/.gdbhist  
(or h:/install/MinGW/msys/1.0/home/pbeardm1/.gdbhist ..I've  
experimented with both) is successfully written to with the GDB  
command history.

When i use GNU emacs 23.2.1 (i386-mingw-nt5.1.2600) from this shell  
and start the debugger within, having typed a few arbitrary commands  
to populate the command history / ring, i quit the debugger and ..

..observe a time stamp change on the correct .gdbhist file ..BUT find  
its content exactly as it was previously i.e. with nothing appended.

I expect to see my last GDB commands written to the file.

Note: through emacs, this file is not read either ..which makes me  
think that i haven't tweaked 'input ring' settings to use this file as  
a 'ring source' or something. I enquired on the IRC channel and got  
tumbleweeds ..hence i call this a 'bug' (quotes) to leave room for the  
possibility of it being a trivial config issue!

Thanks.




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.427 (Entity 5.427)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Pete Beardmore <pete.beardmore@HIDDEN>
Subject: bug#7575: Acknowledgement (gdb command history saving)
Message-ID: <handler.7575.B.129165645725126.ack <at> debbugs.gnu.org>
References: <BLU0-SMTP54BC0E0BBA1EE3A12D208B8A2B0@HIDDEN>
X-Gnu-PR-Message: ack 7575
X-Gnu-PR-Package: emacs
Reply-To: 7575 <at> debbugs.gnu.org
Date: Mon, 06 Dec 2010 17:28:02 +0000

Thank you for filing a new bug report with GNU.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 7575 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
7575: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D7575
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#7575: gdb command history saving
Resent-From: Glenn Morris <rgm@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 07 Dec 2010 01:24:01 +0000
Resent-Message-ID: <handler.7575.B7575.129168498217876 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 7575
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Pete Beardmore <pete.beardmore@HIDDEN>
Cc: 7575 <at> debbugs.gnu.org
Received: via spool by 7575-submit <at> debbugs.gnu.org id=B7575.129168498217876
          (code B ref 7575); Tue, 07 Dec 2010 01:24:01 +0000
Received: (at 7575) by debbugs.gnu.org; 7 Dec 2010 01:23:02 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PPmGk-0004eE-Bf
	for submit <at> debbugs.gnu.org; Mon, 06 Dec 2010 20:23:02 -0500
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1PPmGj-0004dy-1h
	for 7575 <at> debbugs.gnu.org; Mon, 06 Dec 2010 20:23:01 -0500
Received: from localhost ([127.0.0.1]:53230)
	by fencepost.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>)
	id 1PPmMO-0002Ij-7W; Mon, 06 Dec 2010 20:28:52 -0500
References: <BLU0-SMTP54BC0E0BBA1EE3A12D208B8A2B0@HIDDEN>
From: Glenn Morris <rgm@HIDDEN>
X-Spook: InfoSec 22nd SAS halcon morse industrial intelligence FBI
X-Ran: &SWN>P~Mj;*iFkHc6pTfT!XY>cKcjdQ``Sp)SwVOF<`bQ^phqfX(x8RCzj`)v4(::[p}d:
X-Hue: red
X-Attribution: GM
Date: Mon, 06 Dec 2010 20:28:51 -0500
In-Reply-To: <BLU0-SMTP54BC0E0BBA1EE3A12D208B8A2B0@HIDDEN> (Pete Beardmore's
	message of "Mon\, 6 Dec 2010 16\:49\:24 +0000")
Message-ID: <8f8w02qsks.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.2 (------)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.2 (------)

Pete Beardmore wrote:

> ..observe a time stamp change on the correct .gdbhist file ..BUT find
> its content exactly as it was previously i.e. with nothing appended.
>
> I expect to see my last GDB commands written to the file.

It seemed to work for me.

> Note: through emacs, this file is not read either ..which makes me
> think that i haven't tweaked 'input ring' settings to use this file as
> a 'ring source' or something.

You could add something like the following to gdb-mode-hook:

  (setq comint-input-ring-file-name "~/.gdbhist")
  (comint-read-input-ring t)

shell-mode tries to do this by default; perhaps gdb-mode should do
similar.




Message sent:


MIME-Version: 1.0
X-Mailer: MIME-tools 5.427 (Entity 5.427)
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Glenn Morris <rgm@HIDDEN>
Subject: bug#7575: closed (gdb command history saving)
CC: tracker <at> debbugs.gnu.org
Message-ID: <handler.7575.D7575.129966136322403.ackdone <at> debbugs.gnu.org>
References: <45ei6gr7it.fsf@HIDDEN>
 <BLU0-SMTP54BC0E0BBA1EE3A12D208B8A2B0@HIDDEN>
X-Gnu-PR-Message: closed 7575
X-Gnu-PR-Package: emacs
Date: Wed, 09 Mar 2011 09:03:01 +0000
Content-Type: multipart/mixed; boundary="----------=_1299661382-22435-0"

This is a multi-part message in MIME format...

------------=_1299661382-22435-0
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=utf-8

Your message dated Wed, 09 Mar 2011 04:02:34 -0500
with message-id <45ei6gr7it.fsf@HIDDEN>
and subject line Re: bug#7575: gdb command history saving
has caused the GNU bug report #7575,
regarding gdb command history saving
to be marked as done.

(If you believe you have received this mail in error, please contact
help-debbugs@HIDDEN)


--=20
7575: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D7575
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems

------------=_1299661382-22435-0
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at submit) by debbugs.gnu.org; 6 Dec 2010 17:27:37 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PPeqd-0006XB-Ol
	for submit <at> debbugs.gnu.org; Mon, 06 Dec 2010 12:27:37 -0500
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <pete.beardmore@HIDDEN>) id 1PPeB9-00044V-3z
	for submit <at> debbugs.gnu.org; Mon, 06 Dec 2010 11:44:44 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <pete.beardmore@HIDDEN>) id 1PPeGo-0003J6-W2
	for submit <at> debbugs.gnu.org; Mon, 06 Dec 2010 11:50:35 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: **
X-Spam-Status: No, score=2.0 required=5.0 tests=BAYES_05,FREEMAIL_FROM,
	MSGID_FROM_MTA_HEADER,RCVD_IN_DNSWL_NONE,RECEIVED_FROM_WINDOWS_HOST,
	RFC_ABUSE_POST,T_TO_NO_BRKTS_FREEMAIL autolearn=no version=3.3.1
Received: from lists.gnu.org ([199.232.76.165]:51403)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <pete.beardmore@HIDDEN>) id 1PPeGo-0003Iz-MZ
	for submit <at> debbugs.gnu.org; Mon, 06 Dec 2010 11:50:34 -0500
Received: from [140.186.70.92] (port=38893 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1PPeGn-0006Rq-Bq
	for bug-gnu-emacs@HIDDEN; Mon, 06 Dec 2010 11:50:34 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <pete.beardmore@HIDDEN>) id 1PPeGm-0003IA-8p
	for bug-gnu-emacs@HIDDEN; Mon, 06 Dec 2010 11:50:33 -0500
Received: from blu0-omc1-s16.blu0.hotmail.com ([65.55.116.27]:12050)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <pete.beardmore@HIDDEN>) id 1PPeGm-0003Hv-5W
	for bug-gnu-emacs@HIDDEN; Mon, 06 Dec 2010 11:50:32 -0500
Received: from BLU0-SMTP54 ([65.55.116.7]) by blu0-omc1-s16.blu0.hotmail.com
	with Microsoft SMTPSVC(6.0.3790.4675); 
	Mon, 6 Dec 2010 08:49:27 -0800
X-Originating-IP: [78.86.149.244]
X-Originating-Email: [pete.beardmore@HIDDEN]
Message-ID: <BLU0-SMTP54BC0E0BBA1EE3A12D208B8A2B0@HIDDEN>
Received: from elservo.localdomain ([78.86.149.244]) by
	BLU0-SMTP54.blu0.hotmail.com over TLS secured channel with
	Microsoft SMTPSVC(6.0.3790.4675); Mon, 6 Dec 2010 08:49:27 -0800
Received: by elservo.localdomain (Postfix, from userid 80)
	id 571C3AD93D; Mon,  6 Dec 2010 16:49:24 +0000 (GMT)
Received: from elbeardo.lemondedelabarbe (elbeardo.lemondedelabarbe
	[10.0.0.5]) by elservo.lemondedelabarbe (Horde Framework) with HTTP;
	Mon, 06 Dec 2010 16:49:24 +0000
Date: Mon, 6 Dec 2010 16:49:24 +0000
From: Pete Beardmore <pete.beardmore@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: gdb command history saving
MIME-Version: 1.0
Content-Type: text/plain; charset="ISO-8859-1"; delsp=Yes; format=flowed
Content-Disposition: inline
Content-Transfer-Encoding: 7bit
User-Agent: Internet Messaging Program (IMP) H3 (4.3.6)
X-OriginalArrivalTime: 06 Dec 2010 16:49:27.0346 (UTC)
	FILETIME=[8B6AD120:01CB9565]
X-detected-operating-system: by eggs.gnu.org: Windows 2000 SP4, XP SP1+
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-Spam-Score: -5.2 (-----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 06 Dec 2010 12:27:34 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.2 (-----)

Hi.

When GDB is used through emacs, command history is not saved to my  
.gdbhist file on gdb 'quit'.

I use a MinGW/msys/bash environment. When gdb is used from the shell  
prompt, the settings in .gdbinit are sufficient to ensure ~/.gdbhist  
(or h:/install/MinGW/msys/1.0/home/pbeardm1/.gdbhist ..I've  
experimented with both) is successfully written to with the GDB  
command history.

When i use GNU emacs 23.2.1 (i386-mingw-nt5.1.2600) from this shell  
and start the debugger within, having typed a few arbitrary commands  
to populate the command history / ring, i quit the debugger and ..

..observe a time stamp change on the correct .gdbhist file ..BUT find  
its content exactly as it was previously i.e. with nothing appended.

I expect to see my last GDB commands written to the file.

Note: through emacs, this file is not read either ..which makes me  
think that i haven't tweaked 'input ring' settings to use this file as  
a 'ring source' or something. I enquired on the IRC channel and got  
tumbleweeds ..hence i call this a 'bug' (quotes) to leave room for the  
possibility of it being a trivial config issue!

Thanks.



------------=_1299661382-22435-0
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at 7575-done) by debbugs.gnu.org; 9 Mar 2011 09:02:43 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PxFI3-0005pI-Dh
	for submit <at> debbugs.gnu.org; Wed, 09 Mar 2011 04:02:43 -0500
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1PxFI0-0005p4-Tg
	for 7575-done <at> debbugs.gnu.org; Wed, 09 Mar 2011 04:02:41 -0500
Received: from localhost ([127.0.0.1]:52533)
	by fencepost.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1PxFHu-0008A7-72; Wed, 09 Mar 2011 04:02:34 -0500
From: Glenn Morris <rgm@HIDDEN>
To: 7575-done <at> debbugs.gnu.org
Subject: Re: bug#7575: gdb command history saving
References: <BLU0-SMTP54BC0E0BBA1EE3A12D208B8A2B0@HIDDEN>
	<8f8w02qsks.fsf@HIDDEN>
X-Spook: Montenegro benelux event security kilo class basement
X-Ran: +e,sI]]!@;D"IlMt5#J<qOX8dpQ3/.r3]I-{]O|1;jtg{_xw)_'6*zLg/SP)2=ZaWy}Bt.
X-Hue: black
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 09 Mar 2011 04:02:34 -0500
In-Reply-To: <8f8w02qsks.fsf@HIDDEN> (Glenn Morris's message of
	"Mon, 06 Dec 2010 20:28:51 -0500")
Message-ID: <45ei6gr7it.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 7575-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.3 (------)

Version 24.1

Glenn Morris wrote:

> You could add something like the following to gdb-mode-hook:
>
>   (setq comint-input-ring-file-name "~/.gdbhist")
>   (comint-read-input-ring t)
>
> shell-mode tries to do this by default; perhaps gdb-mode should do
> similar.

I've added this to M-x gdb.


------------=_1299661382-22435-0--


Message sent:


MIME-Version: 1.0
X-Mailer: MIME-tools 5.427 (Entity 5.427)
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Pete Beardmore <pete.beardmore@HIDDEN>
Subject: bug#7575: closed (Re: bug#7575: gdb command history saving)
Message-ID: <handler.7575.D7575.129966136322403.notifdone <at> debbugs.gnu.org>
References: <45ei6gr7it.fsf@HIDDEN>
 <BLU0-SMTP54BC0E0BBA1EE3A12D208B8A2B0@HIDDEN>
X-Gnu-PR-Message: they-closed 7575
X-Gnu-PR-Package: emacs
Reply-To: 7575 <at> debbugs.gnu.org
Date: Wed, 09 Mar 2011 09:03:02 +0000
Content-Type: multipart/mixed; boundary="----------=_1299661382-22435-1"

This is a multi-part message in MIME format...

------------=_1299661382-22435-1
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset="utf-8"

Your bug report

#7575: gdb command history saving

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to 7575 <at> debbugs.gnu.org.

--=20
7575: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D7575
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems

------------=_1299661382-22435-1
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at 7575-done) by debbugs.gnu.org; 9 Mar 2011 09:02:43 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PxFI3-0005pI-Dh
	for submit <at> debbugs.gnu.org; Wed, 09 Mar 2011 04:02:43 -0500
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1PxFI0-0005p4-Tg
	for 7575-done <at> debbugs.gnu.org; Wed, 09 Mar 2011 04:02:41 -0500
Received: from localhost ([127.0.0.1]:52533)
	by fencepost.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1PxFHu-0008A7-72; Wed, 09 Mar 2011 04:02:34 -0500
From: Glenn Morris <rgm@HIDDEN>
To: 7575-done <at> debbugs.gnu.org
Subject: Re: bug#7575: gdb command history saving
References: <BLU0-SMTP54BC0E0BBA1EE3A12D208B8A2B0@HIDDEN>
	<8f8w02qsks.fsf@HIDDEN>
X-Spook: Montenegro benelux event security kilo class basement
X-Ran: +e,sI]]!@;D"IlMt5#J<qOX8dpQ3/.r3]I-{]O|1;jtg{_xw)_'6*zLg/SP)2=ZaWy}Bt.
X-Hue: black
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 09 Mar 2011 04:02:34 -0500
In-Reply-To: <8f8w02qsks.fsf@HIDDEN> (Glenn Morris's message of
	"Mon, 06 Dec 2010 20:28:51 -0500")
Message-ID: <45ei6gr7it.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 7575-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.3 (------)

Version 24.1

Glenn Morris wrote:

> You could add something like the following to gdb-mode-hook:
>
>   (setq comint-input-ring-file-name "~/.gdbhist")
>   (comint-read-input-ring t)
>
> shell-mode tries to do this by default; perhaps gdb-mode should do
> similar.

I've added this to M-x gdb.


------------=_1299661382-22435-1
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at submit) by debbugs.gnu.org; 6 Dec 2010 17:27:37 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PPeqd-0006XB-Ol
	for submit <at> debbugs.gnu.org; Mon, 06 Dec 2010 12:27:37 -0500
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <pete.beardmore@HIDDEN>) id 1PPeB9-00044V-3z
	for submit <at> debbugs.gnu.org; Mon, 06 Dec 2010 11:44:44 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <pete.beardmore@HIDDEN>) id 1PPeGo-0003J6-W2
	for submit <at> debbugs.gnu.org; Mon, 06 Dec 2010 11:50:35 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: **
X-Spam-Status: No, score=2.0 required=5.0 tests=BAYES_05,FREEMAIL_FROM,
	MSGID_FROM_MTA_HEADER,RCVD_IN_DNSWL_NONE,RECEIVED_FROM_WINDOWS_HOST,
	RFC_ABUSE_POST,T_TO_NO_BRKTS_FREEMAIL autolearn=no version=3.3.1
Received: from lists.gnu.org ([199.232.76.165]:51403)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <pete.beardmore@HIDDEN>) id 1PPeGo-0003Iz-MZ
	for submit <at> debbugs.gnu.org; Mon, 06 Dec 2010 11:50:34 -0500
Received: from [140.186.70.92] (port=38893 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1PPeGn-0006Rq-Bq
	for bug-gnu-emacs@HIDDEN; Mon, 06 Dec 2010 11:50:34 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <pete.beardmore@HIDDEN>) id 1PPeGm-0003IA-8p
	for bug-gnu-emacs@HIDDEN; Mon, 06 Dec 2010 11:50:33 -0500
Received: from blu0-omc1-s16.blu0.hotmail.com ([65.55.116.27]:12050)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <pete.beardmore@HIDDEN>) id 1PPeGm-0003Hv-5W
	for bug-gnu-emacs@HIDDEN; Mon, 06 Dec 2010 11:50:32 -0500
Received: from BLU0-SMTP54 ([65.55.116.7]) by blu0-omc1-s16.blu0.hotmail.com
	with Microsoft SMTPSVC(6.0.3790.4675); 
	Mon, 6 Dec 2010 08:49:27 -0800
X-Originating-IP: [78.86.149.244]
X-Originating-Email: [pete.beardmore@HIDDEN]
Message-ID: <BLU0-SMTP54BC0E0BBA1EE3A12D208B8A2B0@HIDDEN>
Received: from elservo.localdomain ([78.86.149.244]) by
	BLU0-SMTP54.blu0.hotmail.com over TLS secured channel with
	Microsoft SMTPSVC(6.0.3790.4675); Mon, 6 Dec 2010 08:49:27 -0800
Received: by elservo.localdomain (Postfix, from userid 80)
	id 571C3AD93D; Mon,  6 Dec 2010 16:49:24 +0000 (GMT)
Received: from elbeardo.lemondedelabarbe (elbeardo.lemondedelabarbe
	[10.0.0.5]) by elservo.lemondedelabarbe (Horde Framework) with HTTP;
	Mon, 06 Dec 2010 16:49:24 +0000
Date: Mon, 6 Dec 2010 16:49:24 +0000
From: Pete Beardmore <pete.beardmore@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: gdb command history saving
MIME-Version: 1.0
Content-Type: text/plain; charset="ISO-8859-1"; delsp=Yes; format=flowed
Content-Disposition: inline
Content-Transfer-Encoding: 7bit
User-Agent: Internet Messaging Program (IMP) H3 (4.3.6)
X-OriginalArrivalTime: 06 Dec 2010 16:49:27.0346 (UTC)
	FILETIME=[8B6AD120:01CB9565]
X-detected-operating-system: by eggs.gnu.org: Windows 2000 SP4, XP SP1+
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-Spam-Score: -5.2 (-----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 06 Dec 2010 12:27:34 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.2 (-----)

Hi.

When GDB is used through emacs, command history is not saved to my  
.gdbhist file on gdb 'quit'.

I use a MinGW/msys/bash environment. When gdb is used from the shell  
prompt, the settings in .gdbinit are sufficient to ensure ~/.gdbhist  
(or h:/install/MinGW/msys/1.0/home/pbeardm1/.gdbhist ..I've  
experimented with both) is successfully written to with the GDB  
command history.

When i use GNU emacs 23.2.1 (i386-mingw-nt5.1.2600) from this shell  
and start the debugger within, having typed a few arbitrary commands  
to populate the command history / ring, i quit the debugger and ..

..observe a time stamp change on the correct .gdbhist file ..BUT find  
its content exactly as it was previously i.e. with nothing appended.

I expect to see my last GDB commands written to the file.

Note: through emacs, this file is not read either ..which makes me  
think that i haven't tweaked 'input ring' settings to use this file as  
a 'ring source' or something. I enquired on the IRC channel and got  
tumbleweeds ..hence i call this a 'bug' (quotes) to leave room for the  
possibility of it being a trivial config issue!

Thanks.



------------=_1299661382-22435-1--


Message received at fakecontrol@fakecontrolmessage:


Received: (at fakecontrol) by fakecontrolmessage;
To: internal_control <at> debbugs.gnu.org
From: Debbugs Internal Request <help-debbugs@HIDDEN>
Subject: Internal Control
Message-Id: bug archived.
Date: Wed, 06 Apr 2011 11:24:03 +0000
User-Agent: Fakemail v42.6.9

# This is a fake control message.
#
# The action:
# bug archived.
thanks
# This fakemail brought to you by your local debbugs
# administrator


Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 2 Jun 2011 17:15:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 02 13:15:15 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QSBUJ-0002yo-HI
	for submit <at> debbugs.gnu.org; Thu, 02 Jun 2011 13:15:15 -0400
Received: from blu0-omc1-s36.blu0.hotmail.com ([65.55.116.47])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <pete.beardmore@HIDDEN>) id 1QSBUH-0002nP-U8
	for control <at> debbugs.gnu.org; Thu, 02 Jun 2011 13:15:14 -0400
Received: from BLU0-SMTP137 ([65.55.116.7]) by blu0-omc1-s36.blu0.hotmail.com
	with Microsoft SMTPSVC(6.0.3790.4675); 
	Thu, 2 Jun 2011 10:15:07 -0700
X-Originating-IP: [78.86.149.244]
X-Originating-Email: [pete.beardmore@HIDDEN]
Message-ID: <BLU0-SMTP1370A0F16BEEF760726E54A8A7C0@HIDDEN>
Received: from elservo.localdomain ([78.86.149.244]) by BLU0-SMTP137.phx.gbl
	over TLS secured channel with Microsoft SMTPSVC(6.0.3790.4675); 
	Thu, 2 Jun 2011 10:15:06 -0700
Received: by elservo.localdomain (Postfix, from userid 80)
	id CF114ADAB2; Thu,  2 Jun 2011 18:15:04 +0100 (BST)
Received: from elbeardo.lemondedelabarbe (elbeardo.lemondedelabarbe
	[10.0.0.5]) by elservo.lemondedelabarbe (Horde Framework) with HTTP;
	Thu, 02 Jun 2011 18:15:04 +0100
Date: Thu, 2 Jun 2011 18:15:04 +0100
From: Pete Beardmore <pete.beardmore@HIDDEN>
To: control <at> debbugs.gnu.org
Subject: 
MIME-Version: 1.0
Content-Type: text/plain; charset="ISO-8859-1"; delsp=Yes; format=flowed
Content-Disposition: inline
Content-Transfer-Encoding: 7bit
User-Agent: Internet Messaging Program (IMP) H3 (4.3.6)
X-OriginalArrivalTime: 02 Jun 2011 17:15:06.0762 (UTC)
	FILETIME=[9E828EA0:01CC2148]
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
	identified this incoming email as possible spam.  The original message
	has been attached to this so you can view it (if it isn't spam) or label
	similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview:  unarchive 7575 [...] 
	Content analysis details:   (1.7 points, 10.0 required)
	pts rule name              description
	---- ---------------------- --------------------------------------------------
	3.0 GOT_NO_SUBJECT         No real subject
	-0.0 SPF_PASS               SPF: sender matches SPF record
	2.2 TVD_SPACE_RATIO        BODY: TVD_SPACE_RATIO
	-2.6 BAYES_00               BODY: Bayesian spam probability is 0 to 1%
	[score: 0.0000]
	0.8 MSGID_FROM_MTA_HEADER  Message-Id was added by a relay
	1.8 MISSING_SUBJECT        Missing Subject: header
	-3.5 AWL                    AWL: From: address is in the auto white-list

unarchive 7575




Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#7575: gdb command history saving
Resent-From: Pete Beardmore <pete.beardmore@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 02 Jun 2011 18:06:01 +0000
Resent-Message-ID: <handler.7575.B7575.130703794220987 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 7575
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 7575 <at> debbugs.gnu.org
Cc: Glenn Morris <rgm@HIDDEN>
Received: via spool by 7575-submit <at> debbugs.gnu.org id=B7575.130703794220987
          (code B ref 7575); Thu, 02 Jun 2011 18:06:01 +0000
Received: (at 7575) by debbugs.gnu.org; 2 Jun 2011 18:05:42 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QSCH7-0005SQ-Pq
	for submit <at> debbugs.gnu.org; Thu, 02 Jun 2011 14:05:42 -0400
Received: from blu0-omc2-s5.blu0.hotmail.com ([65.55.111.80])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <pete.beardmore@HIDDEN>) id 1QSCH5-0005SF-FN
	for 7575 <at> debbugs.gnu.org; Thu, 02 Jun 2011 14:05:40 -0400
Received: from BLU0-SMTP126 ([65.55.111.71]) by blu0-omc2-s5.blu0.hotmail.com
	with Microsoft SMTPSVC(6.0.3790.4675); 
	Thu, 2 Jun 2011 11:05:34 -0700
X-Originating-IP: [78.86.149.244]
X-Originating-Email: [pete.beardmore@HIDDEN]
Message-ID: <BLU0-SMTP126369606486DBF9F8A498B8A7C0@HIDDEN>
Received: from elservo.localdomain ([78.86.149.244]) by BLU0-SMTP126.phx.gbl
	over TLS secured channel with Microsoft SMTPSVC(6.0.3790.4675); 
	Thu, 2 Jun 2011 11:05:33 -0700
Received: by elservo.localdomain (Postfix, from userid 80)
	id C337EADAB0; Thu,  2 Jun 2011 18:58:41 +0100 (BST)
Received: from elbeardo.lemondedelabarbe (elbeardo.lemondedelabarbe
	[10.0.0.5]) by elservo.lemondedelabarbe (Horde Framework) with HTTP;
	Thu, 02 Jun 2011 18:58:41 +0100
Date: Thu, 2 Jun 2011 18:58:41 +0100
From: Pete Beardmore <pete.beardmore@HIDDEN>
References: <BLU0-SMTP54BC0E0BBA1EE3A12D208B8A2B0@HIDDEN>
	<8f8w02qsks.fsf@HIDDEN>
In-Reply-To: <8f8w02qsks.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset="ISO-8859-1"; delsp=Yes; format=flowed
Content-Disposition: inline
Content-Transfer-Encoding: 7bit
User-Agent: Internet Messaging Program (IMP) H3 (4.3.6)
X-OriginalArrivalTime: 02 Jun 2011 18:05:33.0341 (UTC)
	FILETIME=[AA7DDCD0:01CC214F]
X-Spam-Score: -1.8 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.8 (-)

>  Glen Morris wrote:
>
>> Glen Morris wrote:
>>
>> You could add something like the following to gdb-mode-hook:
>>
>>   (setq comint-input-ring-file-name "~/.gdbhist")
>>   (comint-read-input-ring t)
>>
>> shell-mode tries to do this by default; perhaps gdb-mode should do
>> similar.
>
> I've added this to M-x gdb.

Hi, sorry for the late come back and thank you for the comments. Could  
i ask whether you tested a w32 emacs version evoked from a MinGW/Msys  
bash prompt? My GNU/Linux emacs gdb history works out of the box so i  
still think this is a bug, possibly to do with file encodings?!

As a workaround, i started with the gdb-mode-hook you provided (thank  
you) and added a few more comint settings..

(add-hook 'gdb-mode-hook '(lambda()
			(setq comint-input-ring-file-name "~/.gdbhist")
			(comint-read-input-ring t)
			(setq comint-input-ring-size 1000)
			(setq comint-input-ignoredups t)
		  ))

..but obviously this wouldn't solve the problem of not writing the  
commands back to the file after the session.

(add-hook 'kill-buffer-hook 'comint-write-input-ring)

..took care of the buffer being killed, but I also defined this advice  
to take care of quitting..

(defadvice gdb-send-item (before gdb-save-history first nil activate)
   "write input ring on quit"
   (if (equal (type-of item) 'string) ; avoid problems with some  
horrible, seemingly unprintable structures sent to this function..
     (if (string-match "^q\\(u\\|ui\\|uit\\)?$" item)
        (progn (comint-write-input-ring)
       (message "history file '%s' written" comint-input-ring-file-name)))))

Thanks,
Pete





Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#7575: gdb command history saving
Resent-From: Glenn Morris <rgm@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 02 Jun 2011 21:52:01 +0000
Resent-Message-ID: <handler.7575.B7575.13070514648964 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 7575
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Pete Beardmore <pete.beardmore@HIDDEN>
Cc: 7575 <at> debbugs.gnu.org
Received: via spool by 7575-submit <at> debbugs.gnu.org id=B7575.13070514648964
          (code B ref 7575); Thu, 02 Jun 2011 21:52:01 +0000
Received: (at 7575) by debbugs.gnu.org; 2 Jun 2011 21:51:04 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QSFnD-0002KT-Ps
	for submit <at> debbugs.gnu.org; Thu, 02 Jun 2011 17:51:03 -0400
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>)
	id 1QSFnB-0002Jq-50; Thu, 02 Jun 2011 17:51:01 -0400
Received: from localhost ([127.0.0.1]:53561)
	by fencepost.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1QSFn5-00065W-Mq; Thu, 02 Jun 2011 17:50:55 -0400
From: Glenn Morris <rgm@HIDDEN>
References: <BLU0-SMTP54BC0E0BBA1EE3A12D208B8A2B0@HIDDEN>
	<8f8w02qsks.fsf@HIDDEN>
	<BLU0-SMTP126369606486DBF9F8A498B8A7C0@HIDDEN>
X-Spook: John Kerry PET Qaddafi CISU broadside NASA pre-emptive SDI
X-Ran: 07>kg58I=gaT/7LHM]bhi4<05k5(z\q%c+,ppwae!mqW469F{CD}9B}rZ4W;~qk5hpkCf!
X-Hue: green
X-Attribution: GM
Date: Thu, 02 Jun 2011 17:50:55 -0400
In-Reply-To: <BLU0-SMTP126369606486DBF9F8A498B8A7C0@HIDDEN> (Pete Beardmore's
	message of "Thu, 2 Jun 2011 18:58:41 +0100")
Message-ID: <eloc2fdhs0.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.3 (------)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.3 (------)

reopen 7575
stop

Pete Beardmore wrote:

> Hi, sorry for the late come back and thank you for the comments. Could
> i ask whether you tested a w32 emacs version evoked from a MinGW/Msys
> bash prompt? My GNU/Linux emacs gdb history works out of the box so i
> still think this is a bug, possibly to do with file encodings?!

No, sorry, I don't use MS Windows. I'll re-open this, since I see I only
addressed the second part of your initial report (about gdbhist not
being read), not the first part about it not being written.




Message received at fakecontrol@fakecontrolmessage:


Received: (at fakecontrol) by fakecontrolmessage;
To: internal_control <at> debbugs.gnu.org
From: Debbugs Internal Request <help-debbugs@HIDDEN>
Subject: Internal Control
Message-Id: Did not alter fixed versions and reopened.
Date: Thu, 02 Jun 2011 21:52:02 +0000
User-Agent: Fakemail v42.6.9

# This is a fake control message.
#
# The action:
# Did not alter fixed versions and reopened.
thanks
# This fakemail brought to you by your local debbugs
# administrator



Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.